Package com.google.protobuf

# Class DescriptorProtos.GeneratedCodeInfo.Annotation.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DescriptorProtos.GeneratedCodeInfo.Annotation.Builder>
com.google.protobuf.DescriptorProtos.GeneratedCodeInfo.Annotation.Builder

All Implemented Interfaces:
  `DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  DescriptorProtos.GeneratedCodeInfo.Annotation

public static final class DescriptorProtos.GeneratedCodeInfo.Annotation.Builder extends GeneratedMessageV3.Builder<DescriptorProtos.GeneratedCodeInfo.Annotation.Builder> implements DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder
Protobuf type `google.protobuf.GeneratedCodeInfo.Annotation`

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`
`addAllPath(Iterable<? extends Integer> values)`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`
`addPath(int value)`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`DescriptorProtos.GeneratedCodeInfo.Annotation`
`build()`
Constructs the message based on the state of the Builder.
`DescriptorProtos.GeneratedCodeInfo.Annotation`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`
`clearBegin()`
`optional int32 begin = 3 [json_name = "begin"];`
`DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`
`clearEnd()`
`optional int32 end = 4 [json_name = "end"];`
`DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`
`clearPath()`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`
`clearSemantic()`
`optional .google.protobuf.GeneratedCodeInfo.Annotation.Semantic semantic = 5 [json_name = "semantic"];`
`DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`
`clearSourceFile()`
`optional string source_file = 2 [json_name = "sourceFile"];`
`int`
`getBegin()`
`optional int32 begin = 3 [json_name = "begin"];`
`DescriptorProtos.GeneratedCodeInfo.Annotation`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`int`
`getEnd()`
`optional int32 end = 4 [json_name = "end"];`
`int`
`getPath(int index)`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`int`
`getPathCount()`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`List<Integer>`
`getPathList()`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic`
`getSemantic()`
`optional .google.protobuf.GeneratedCodeInfo.Annotation.Semantic semantic = 5 [json_name = "semantic"];`
`String`
`getSourceFile()`
`optional string source_file = 2 [json_name = "sourceFile"];`
`ByteString`
`getSourceFileBytes()`
`optional string source_file = 2 [json_name = "sourceFile"];`
`boolean`
`hasBegin()`
`optional int32 begin = 3 [json_name = "begin"];`
`boolean`
`hasEnd()`
`optional int32 end = 4 [json_name = "end"];`
`boolean`
`hasSemantic()`
`optional .google.protobuf.GeneratedCodeInfo.Annotation.Semantic semantic = 5 [json_name = "semantic"];`
`boolean`
`hasSourceFile()`
`optional string source_file = 2 [json_name = "sourceFile"];`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`
`mergeFrom(DescriptorProtos.GeneratedCodeInfo.Annotation other)`
`DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`final DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`
`setBegin(int value)`
`optional int32 begin = 3 [json_name = "begin"];`
`DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`
`setEnd(int value)`
`optional int32 end = 4 [json_name = "end"];`
`DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`
`setPath(int index, int value)`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`
`setSemantic(DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic value)`
`optional .google.protobuf.GeneratedCodeInfo.Annotation.Semantic semantic = 5 [json_name = "semantic"];`
`DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`
`setSourceFile(String value)`
`optional string source_file = 2 [json_name = "sourceFile"];`
`DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`
`setSourceFileBytes(ByteString value)`
`optional string source_file = 2 [json_name = "sourceFile"];`
`final DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<DescriptorProtos.GeneratedCodeInfo.Annotation.Builder>`

### clear

public DescriptorProtos.GeneratedCodeInfo.Annotation.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<DescriptorProtos.GeneratedCodeInfo.Annotation.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<DescriptorProtos.GeneratedCodeInfo.Annotation.Builder>`

### getDefaultInstanceForType

public DescriptorProtos.GeneratedCodeInfo.Annotation getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public DescriptorProtos.GeneratedCodeInfo.Annotation build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public DescriptorProtos.GeneratedCodeInfo.Annotation buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public DescriptorProtos.GeneratedCodeInfo.Annotation.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.GeneratedCodeInfo.Annotation.Builder>`

### mergeFrom

public DescriptorProtos.GeneratedCodeInfo.Annotation.Builder mergeFrom(DescriptorProtos.GeneratedCodeInfo.Annotation other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<DescriptorProtos.GeneratedCodeInfo.Annotation.Builder>`

### mergeFrom

public DescriptorProtos.GeneratedCodeInfo.Annotation.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.GeneratedCodeInfo.Annotation.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### getPathList

public List<Integer> getPathList()
`repeated int32 path = 1 [json_name = "path", packed = true];`

Specified by:
  `getPathList` in interface `DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder`
Returns:
  A list containing the path.

### getPathCount

public int getPathCount()
`repeated int32 path = 1 [json_name = "path", packed = true];`

Specified by:
  `getPathCount` in interface `DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder`
Returns:
  The count of path.

### getPath

public int getPath(int index)
`repeated int32 path = 1 [json_name = "path", packed = true];`

Specified by:
  `getPath` in interface `DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The path at the given index.

### setPath

public DescriptorProtos.GeneratedCodeInfo.Annotation.Builder setPath(int index, int value)
`repeated int32 path = 1 [json_name = "path", packed = true];`

Parameters:
  `index` - The index to set the value at.
  `value` - The path to set.
Returns:
  This builder for chaining.

### addPath

public DescriptorProtos.GeneratedCodeInfo.Annotation.Builder addPath(int value)
`repeated int32 path = 1 [json_name = "path", packed = true];`

Parameters:
  `value` - The path to add.
Returns:
  This builder for chaining.

### addAllPath

public DescriptorProtos.GeneratedCodeInfo.Annotation.Builder addAllPath(Iterable<? extends Integer> values)
`repeated int32 path = 1 [json_name = "path", packed = true];`

Parameters:
  `values` - The path to add.
Returns:
  This builder for chaining.

### clearPath

public DescriptorProtos.GeneratedCodeInfo.Annotation.Builder clearPath()
`repeated int32 path = 1 [json_name = "path", packed = true];`

Returns:
  This builder for chaining.

### hasSourceFile

public boolean hasSourceFile()
`optional string source_file = 2 [json_name = "sourceFile"];`

Specified by:
  `hasSourceFile` in interface `DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder`
Returns:
  Whether the sourceFile field is set.

### getSourceFile

public String getSourceFile()
`optional string source_file = 2 [json_name = "sourceFile"];`

Specified by:
  `getSourceFile` in interface `DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder`
Returns:
  The sourceFile.

### getSourceFileBytes

public ByteString getSourceFileBytes()
`optional string source_file = 2 [json_name = "sourceFile"];`

Specified by:
  `getSourceFileBytes` in interface `DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder`
Returns:
  The bytes for sourceFile.

### setSourceFile

public DescriptorProtos.GeneratedCodeInfo.Annotation.Builder setSourceFile(String value)
`optional string source_file = 2 [json_name = "sourceFile"];`

Parameters:
  `value` - The sourceFile to set.
Returns:
  This builder for chaining.

### clearSourceFile

public DescriptorProtos.GeneratedCodeInfo.Annotation.Builder clearSourceFile()
`optional string source_file = 2 [json_name = "sourceFile"];`

Returns:
  This builder for chaining.

### setSourceFileBytes

public DescriptorProtos.GeneratedCodeInfo.Annotation.Builder setSourceFileBytes(ByteString value)
`optional string source_file = 2 [json_name = "sourceFile"];`

Parameters:
  `value` - The bytes for sourceFile to set.
Returns:
  This builder for chaining.

### hasBegin

public boolean hasBegin()
`optional int32 begin = 3 [json_name = "begin"];`

Specified by:
  `hasBegin` in interface `DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder`
Returns:
  Whether the begin field is set.

### getBegin

public int getBegin()
`optional int32 begin = 3 [json_name = "begin"];`

Specified by:
  `getBegin` in interface `DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder`
Returns:
  The begin.

### setBegin

public DescriptorProtos.GeneratedCodeInfo.Annotation.Builder setBegin(int value)
`optional int32 begin = 3 [json_name = "begin"];`

Parameters:
  `value` - The begin to set.
Returns:
  This builder for chaining.

### clearBegin

public DescriptorProtos.GeneratedCodeInfo.Annotation.Builder clearBegin()
`optional int32 begin = 3 [json_name = "begin"];`

Returns:
  This builder for chaining.

### hasEnd

public boolean hasEnd()
`optional int32 end = 4 [json_name = "end"];`

Specified by:
  `hasEnd` in interface `DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder`
Returns:
  Whether the end field is set.

### getEnd

public int getEnd()
`optional int32 end = 4 [json_name = "end"];`

Specified by:
  `getEnd` in interface `DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder`
Returns:
  The end.

### setEnd

public DescriptorProtos.GeneratedCodeInfo.Annotation.Builder setEnd(int value)
`optional int32 end = 4 [json_name = "end"];`

Parameters:
  `value` - The end to set.
Returns:
  This builder for chaining.

### clearEnd

public DescriptorProtos.GeneratedCodeInfo.Annotation.Builder clearEnd()
`optional int32 end = 4 [json_name = "end"];`

Returns:
  This builder for chaining.

### hasSemantic

public boolean hasSemantic()
`optional .google.protobuf.GeneratedCodeInfo.Annotation.Semantic semantic = 5 [json_name = "semantic"];`

Specified by:
  `hasSemantic` in interface `DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder`
Returns:
  Whether the semantic field is set.

### getSemantic

public DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic getSemantic()
`optional .google.protobuf.GeneratedCodeInfo.Annotation.Semantic semantic = 5 [json_name = "semantic"];`

Specified by:
  `getSemantic` in interface `DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder`
Returns:
  The semantic.

### setSemantic

public DescriptorProtos.GeneratedCodeInfo.Annotation.Builder setSemantic(DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic value)
`optional .google.protobuf.GeneratedCodeInfo.Annotation.Semantic semantic = 5 [json_name = "semantic"];`

Parameters:
  `value` - The semantic to set.
Returns:
  This builder for chaining.

### clearSemantic

public DescriptorProtos.GeneratedCodeInfo.Annotation.Builder clearSemantic()
`optional .google.protobuf.GeneratedCodeInfo.Annotation.Semantic semantic = 5 [json_name = "semantic"];`

Returns:
  This builder for chaining.

### setUnknownFields

public final DescriptorProtos.GeneratedCodeInfo.Annotation.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.GeneratedCodeInfo.Annotation.Builder>`

### mergeUnknownFields

public final DescriptorProtos.GeneratedCodeInfo.Annotation.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.GeneratedCodeInfo.Annotation.Builder>`